Bug 478694 - Review Request: rfdump - RFID-Tags detector
Review Request: rfdump - RFID-Tags detector
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 12:33 EST by Fabian Affolter
Modified: 2009-01-23 21:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-03 12:33:27 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/rfdump.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/rfdump-1.6-1.fc9.src.rpm

Project URL: http://www.rfdump.org

Description:
RFDump is a tool to detect RFID-Tags and show their meta information:
Tag ID, Tag Type, manufacturer etc. The user data memory of a tag can
be displayed and modified using either a Hex or an ASCII editor. Tag
contents can be stored and loaded using a specific XML fomrat. This
effectively allows to copy data from one tag to another. In addition,
the integrated cookie feature demonstrates how easy it is for a
company to abuse RFID technology to spy on their customers.  RFDump
works with the ACG Multi-Tag Reader or similar card reader hardware.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1030722

rpmlint output:
[fab@laptop024 i386]$ rpmlint rfdump*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint rfdump-1.6-1.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2009-01-05 00:30:17 EST
+ OK
- Need work

Review:
+ package builds in mock (rawhide i386).
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1032469
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
9db8053b5e2268234f516daed2731db8  rfdump-1.6.tar.gz
- Source URL is not working and should be
http://www.rfdump.org/dl/rfdump-1.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package rfdump-1.6-1.fc11 =>
Provides: rfdump = 1.6-1.fc10 rfdump(x86-32) = 1.6-1.fc10
Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libcairo.so.2 libexpat.so.1 libfontconfig.so.1 libfreetype.so.6 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglade-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 libxml2.so.2 rtld(GNU_HASH)
+ Desktop file installed correctly.
+ GUI app.

Suggestions:
1) Change Source URL to
http://www.rfdump.org/dl/%{name}-%{version}.tar.gz

APPROVED.
Comment 2 Fabian Affolter 2009-01-05 02:48:59 EST
Thanks Parag, you are right with the source url.
Comment 3 Fabian Affolter 2009-01-05 02:49:43 EST
New Package CVS Request
=======================
Package Name: rfdump
Short Description: RFID tags detector
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-01-06 20:22:31 EST
cvs done.
Comment 5 Fedora Update System 2009-01-07 16:58:30 EST
rfdump-1.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rfdump-1.6-2.fc9
Comment 6 Fedora Update System 2009-01-07 16:58:34 EST
rfdump-1.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rfdump-1.6-2.fc10
Comment 7 Fedora Update System 2009-01-07 23:17:07 EST
rfdump-1.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rfdump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0312
Comment 8 Fedora Update System 2009-01-07 23:19:06 EST
rfdump-1.6-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rfdump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0324
Comment 9 Fedora Update System 2009-01-23 21:35:53 EST
rfdump-1.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-01-23 21:40:04 EST
rfdump-1.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.